<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:15 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.auth (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../org/apache/http/auth/package-summary.html" target="classFrame">org.apache.http.auth</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AuthScheme.html" title="interface in org.apache.http.auth" target="classFrame"><I>AuthScheme</I></A>
<BR>
<A HREF="AuthSchemeFactory.html" title="interface in org.apache.http.auth" target="classFrame"><I>AuthSchemeFactory</I></A>
<BR>
<A HREF="AuthSchemeProvider.html" title="interface in org.apache.http.auth" target="classFrame"><I>AuthSchemeProvider</I></A>
<BR>
<A HREF="ContextAwareAuthScheme.html" title="interface in org.apache.http.auth" target="classFrame"><I>ContextAwareAuthScheme</I></A>
<BR>
<A HREF="Credentials.html" title="interface in org.apache.http.auth" target="classFrame"><I>Credentials</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AUTH.html" title="class in org.apache.http.auth" target="classFrame">AUTH</A>
<BR>
<A HREF="AuthOption.html" title="class in org.apache.http.auth" target="classFrame">AuthOption</A>
<BR>
<A HREF="AuthSchemeRegistry.html" title="class in org.apache.http.auth" target="classFrame">AuthSchemeRegistry</A>
<BR>
<A HREF="AuthScope.html" title="class in org.apache.http.auth" target="classFrame">AuthScope</A>
<BR>
<A HREF="AuthState.html" title="class in org.apache.http.auth" target="classFrame">AuthState</A>
<BR>
<A HREF="BasicUserPrincipal.html" title="class in org.apache.http.auth" target="classFrame">BasicUserPrincipal</A>
<BR>
<A HREF="NTCredentials.html" title="class in org.apache.http.auth" target="classFrame">NTCredentials</A>
<BR>
<A HREF="NTUserPrincipal.html" title="class in org.apache.http.auth" target="classFrame">NTUserPrincipal</A>
<BR>
<A HREF="UsernamePasswordCredentials.html" title="class in org.apache.http.auth" target="classFrame">UsernamePasswordCredentials</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Enums</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AuthProtocolState.html" title="enum in org.apache.http.auth" target="classFrame">AuthProtocolState</A>
<BR>
<A HREF="ChallengeState.html" title="enum in org.apache.http.auth" target="classFrame">ChallengeState</A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Exceptions</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AuthenticationException.html" title="class in org.apache.http.auth" target="classFrame">AuthenticationException</A>
<BR>
<A HREF="InvalidCredentialsException.html" title="class in org.apache.http.auth" target="classFrame">InvalidCredentialsException</A>
<BR>
<A HREF="MalformedChallengeException.html" title="class in org.apache.http.auth" target="classFrame">MalformedChallengeException</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
